Subject: Re: pull request: wireless-2.6 2008-08-26

From: Michael Buesch <[email-masked]>
Date: Thu, 28 Aug 2008 10:31:05 +0200

On Thursday 28 August 2008, Tomas Winkler wrote:
> On Wed, Aug 27, 2008 at 11:25 PM, Michael Buesch <[email-masked]> wrote:
> > On Wednesday 27 August 2008, Tomas Winkler wrote:
> >> > John W. Linville (1):
> >> >      mac80211: quiet chatty IBSS merge message
> >>
> >> This patch is correct yet it suppresses an important warning, meaning
> >> that you have constant IBSS reconnection, remove all connected station
> >> and adding them again, This greatly degraded performance. This is
> >> caused by inability to adjust to TSF of the IBSS leader
> >>
> >> <snipt>
> >> static int ieee80211_sta_join_ibss(struct net_device *dev,
> >>                                  struct ieee80211_if_sta *ifsta,
> >>                                  struct ieee80211_sta_bss *bss)
> >> .....
> >> /* Remove possible STA entries from other IBSS networks. */
> >>       sta_info_flush_delayed(sdata);
> >> </snip>
> >
> > I fail to see how the TSF could be related to an ever reconnecting
> > station. Can you elaborate on what happens?
> >
> > I was under the impression that the firmware would handle TSF stuff.
> > Also the "IBSS leader" is a new thing to me. I remember from the specs
> > that the device should accept the TSF from _any_ beacon. Not just a
> > "leader". Am I mislead? :)
> 
> What is happening that IBSS station should adopt TSF of  the oldest
> station i.e. with highest
> TSF. This is also leader of the IBSS (this is not spec definition just
> local jargon)  Adaptation
> mean we adjust to the same clock
> 
> if (beacon_timestamp > rx_timestamp)
>     merge

Well, I was pretty sure the firmware did this for us.
I can recheck that later.

In any case, I will accept patches that are _well_ _tested_ to workaround this
issue. I don't have the time work work on IBSS by myself. My pile already is
big enough. :)
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html